@echo off

rem |=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-|
rem |-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- Installatore di Patches Skerb -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=|
rem |=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= di dziugo =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-|
rem |=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-|

set main_file=ff7.exe
set backup_file=backup_ff7.exe
set patcher_file=skerb.ex_
set patches_path=patches\
set patches_ext=*.srb
set temp_file=patched_ff7.exe
set debug_file=debug.txt
set temp_bat=temp.bat

echo Installatore di Patches Skerb per Final Fantasy VII di dziugo
echo;
echo Debug data > %debug_file%
echo; >> %debug_file%

if not exist %main_file% goto check_backup
attrib -r -h %main_file% > nul

:check_backup
if exist %backup_file% goto backup_exists
if not exist %main_file% goto no_main_file

copy %main_file% %backup_file% > nul
if not exist %main_file% goto unexpected_error

:patching_loop
for %%k in (%patches_path%%patches_ext%) do (
echo Applicazione Patch: %%~nk >> %debug_file%
echo Applicazione Patch: %%~nk
attrib -r -h %patches_path%%%~nk.txt > nul
if not exist %patches_path%%%~nk.txt goto no_config_file
copy %patches_path%%%~nk.txt %patches_path%%%~nk.bat > nul
echo @echo off > %temp_bat%
call %patches_path%%%~nk.bat %patcher_file% %%k %main_file% %temp_file% >> %temp_bat%
call %temp_bat% >> %debug_file%
del %temp_bat% > nul
del %patches_path%%%~nk.bat > nul
echo; >> %debug_file%
del %main_file% > nul
if exist %main_file% goto unexpected_error
rename %temp_file% %main_file% > nul
if not exist %main_file% goto unexpected_error
)
echo Patching Completo
goto koniec

:backup_exists
attrib -r -h %backup_file% > nul
del %main_file% > nul
if exist %main_file% goto unexpected_error
copy %backup_file% %main_file% > nul
if not exist %main_file% goto unexpected_error
echo File FF7.exe ricaricato dal backup (%backup_file%) 
goto patching_loop

:no_main_file
echo File mancante: %main_file%
goto end_with_error

:no_config_file
echo Impossibile trovare il file di Configurazione !!
goto end_with_error

:unexpected_error
echo Problema imprevisto, motivo sconosciuto...
goto end_with_error

:end_with_Error
echo Spiacente, niente patching oggi.

:koniec
pause